﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;

namespace NodePositioning
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var node6 = new NodeViewModel(){Name="Node 6"};

            var node5 = new NodeViewModel() {Name = "Node 5", Children = new[] {node6}};
            var node4 = new NodeViewModel() {Name = "Node 4", Children = new[] {node6}};
            var node3 = new NodeViewModel() {Name = "Node 3", Children = new[] {node6}};
            var node2 = new NodeViewModel() {Name = "Node 2", Children = new[] {node6}};
            
            var node1 = new NodeViewModel() {Name = "Node 1", Children = new[] {node2, node3, node4, node5}};

            myDiagram.ItemsSource = new []{node1};
            
        }
    }
    
}
